#include <stdio.h>
#include "noidea.fs.h"

#define cluster 128
#define size 640

int array[160];

int main (void)
{
	printf ("file system ?\n");

	int qty = size / cluster;
	void * ptr = (void*) &array;
	NOIDEA_fs * table = NOIDEA_build (qty, cluster, ptr);

	NOIDEA_id eran = NOIDEA_pop (table, 0);
	NOIDEA_id file1 = NOIDEA_mk (table, eran);
	eran = NOIDEA_pop (table,0);
	file1 = NOIDEA_add (table, file1, eran);
	eran = NOIDEA_pop (table,0);
	file1 = NOIDEA_push (table, file1, eran);
	eran = NOIDEA_pop (table,0);
	file1 = NOIDEA_push (table, file1, eran);
	eran = NOIDEA_pop (table, file1);
	file1 = NOIDEA_next (table, 0);
	file1 = NOIDEA_add (table, file1, eran);
	eran = NOIDEA_pop (table, file1);
	file1 = NOIDEA_next (table, 0);
	eran = NOIDEA_push (table, 0, eran);
	eran = NOIDEA_sub (table, file1);
	eran = NOIDEA_push (table, 0, eran);
	eran = NOIDEA_sub (table, file1);
	eran = NOIDEA_push (table, 0, eran);
	eran = NOIDEA_rm (table, file1);
	eran = NOIDEA_push (table, 0, eran);

	int i;
	for (i=0;i<160;i+=1)
	{
		printf ("%9d ",array[i]);
	}
	printf ("\n");
	return 0;
}
